libreoffice-base-drivers-postgresql-6.2.3.2-2.1.i586.rpm


Advertisement

Description

libreoffice-base-drivers-postgresql - PostgreSQL Database Driver for LibreOffice

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libreoffice-base-drivers-postgresql-6.2.3.2-2.1.i586.rpm
Package name libreoffice-base-drivers-postgresql
Package version 6.2.3.2
Package release 2.1
Package architecture i586
Package type rpm
Category Productivity/Office/Suite
Homepage https://www.documentfoundation.org/
License LGPL-3.0-or-later AND MPL-2.0+
Maintainer -
Download size 279.61 KB
Installed size unknown
This package allows to access PostgreSQL databases from LibreOffice Base.

Alternatives

Package Version Architecture Repository
libreoffice-base-drivers-postgresql-6.2.3.2-2.1.x86_64.rpm 6.2.3.2 x86_64 openSUSE Oss
libreoffice-base-drivers-postgresql - - -

Requires

Name Value
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GCC_3.3.1) -
liblber-2.4.so.2 -
libldap_r-2.4.so.2 -
libm.so.6 -
libmergedlo.so -
libnspr4.so -
libnss3.so -
libnssutil3.so -
libplc4.so -
libplds4.so -
libpq.so.5 -
libsmime3.so -
libssl3.so -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.18) -
libuno_cppu.so.3 -
libuno_cppu.so.3(LIBO_UDK_4.4) -
libuno_cppu.so.3(UDK_3.1) -
libuno_cppu.so.3(UDK_3_0_0) -
libuno_cppuhelpergcc3.so.3 -
libuno_cppuhelpergcc3.so.3(LIBO_UDK_3.9) -
libuno_cppuhelpergcc3.so.3(UDK_3.1) -
libuno_cppuhelpergcc3.so.3(UDK_3.3) -
libuno_cppuhelpergcc3.so.3(UDK_3.6) -
libuno_cppuhelpergcc3.so.3(UDK_3_0_0) -
libuno_sal.so.3 -
libuno_sal.so.3(LIBO_UDK_3.5) -
libuno_sal.so.3(LIBO_UDK_3.6) -
libuno_sal.so.3(LIBO_UDK_4.0) -
libuno_sal.so.3(LIBO_UDK_4.1) -
libuno_sal.so.3(LIBO_UDK_5.1) -
libuno_sal.so.3(UDK_3.3) -
libuno_sal.so.3(UDK_3.6) -
libuno_sal.so.3(UDK_3_0_0) -
libuno_salhelpergcc3.so.3 -
libuno_salhelpergcc3.so.3(UDK_3_0_0) -
postgresql -
rtld(GNU_HASH) -

Provides

Name Value
libpostgresql-sdbc-impllo.so -
libpostgresql-sdbclo.so -
libreoffice-base-drivers-postgresql = 6.2.3.2-2.1
libreoffice-base-drivers-postgresql(x86-32) = 6.2.3.2-2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libreoffice-base-drivers-postgresql-6.2.3.2-2.1.i586.rpm
Source Package libreoffice-6.2.3.2-2.1.src.rpm

Install Howto

Install libreoffice-base-drivers-postgresql rpm package:

# zypper install libreoffice-base-drivers-postgresql

Files

Path
/usr/lib/libreoffice/program/libpostgresql-sdbc-impllo.so
/usr/lib/libreoffice/program/libpostgresql-sdbclo.so
/usr/lib/libreoffice/program/postgresql-sdbc.ini
/usr/lib/libreoffice/program/services/postgresql-sdbc.rdb
/usr/lib/libreoffice/share/
/usr/lib/libreoffice/share/registry/postgresql.xcd

Changelog

2019-04-15 - Tomá? Chvátal <tchvatal@suse.com>
- Update to 6.2.3.2 fate#327121:
* Bugfix release 6.2.3
- Remove merged patches:
* old-boost.patch
* libreoffice-postgresql.patch
* 0001-Fix-LTO-segfault-in-libtest_sw_uwriter-test.patch
* boost_169.patch
* kde5.patch
* old-icu.patch
2019-04-04 - Tomá? Chvátal <tchvatal@suse.com>
- Add patch to fix diff in generated helpfiles with rebuilds:
* 0001-Use-sort-on-finds-to-improve-deterministic-build.patch
2019-03-22 - Tomá? Chvátal <tchvatal@suse.com>
- Update the old-icu.patch based on the upstream feedback
2019-03-19 - Adam Majer <adam.majer@suse.de>
- old-boost.patch: update patch to fix build with Boost from SLE-12
2019-03-18 - Tomá? Chvátal <tchvatal@suse.com>
- Update to 6.2.2.2:
* Few more tweaks over previous RC1
2019-03-15 - Tomá? Chvátal <tchvatal@suse.com>
- Add patch to fix build with old icu from Leap 42:
* old-icu.patch
2019-03-14 - Tomá? Chvátal <tchvatal@suse.com>
- Add patch to fix build on Leap 42:
* kde5.patch
2019-03-12 - Tomá? Chvátal <tchvatal@suse.com>
- Update to 6.2.2.1 bsc#1128845:
* bundle of 6.2 series fixes
- Remove merged patches:
* 0001-Speed-up-languagepack-installation.patch
* kde5-32bit-build-fix.patch
2019-03-10 - Adam Majer <adam.majer@suse.de>
- boost_169.patch: fix build with Boost 1.69
2019-03-08 - Tomá? Chvátal <tchvatal@suse.com>
- Require firebird as default driver for base if enabled

See Also

Package Description
libreoffice-branding-openSUSE-84.87.20180403-1.1.noarch.rpm openSUSE Tumbleweed branding for LibreOffice
libreoffice-branding-upstream-6.2.3.2-2.1.noarch.rpm Original Branding for LibreOffice
libreoffice-calc-6.2.3.2-2.1.i586.rpm LibreOffice Calc
libreoffice-calc-6.2.3.2-2.1.x86_64.rpm LibreOffice Calc
libreoffice-calc-extensions-6.2.3.2-2.1.i586.rpm LibreOffice Calc Extensions
libreoffice-calc-extensions-6.2.3.2-2.1.x86_64.rpm LibreOffice Calc Extensions
libreoffice-draw-6.2.3.2-2.1.i586.rpm LibreOffice Draw
libreoffice-draw-6.2.3.2-2.1.x86_64.rpm LibreOffice Draw
libreoffice-filters-optional-6.2.3.2-2.1.i586.rpm Additional Import and Export Filters for LibreOffice
libreoffice-filters-optional-6.2.3.2-2.1.x86_64.rpm Additional Import and Export Filters for LibreOffice
libreoffice-gdb-pretty-printers-6.2.3.2-2.1.noarch.rpm Additional support for debugging with gdb
libreoffice-glade-6.2.3.2-2.1.noarch.rpm Support for creating LibreOffice dialogs in glade
libreoffice-gnome-6.2.3.2-2.1.i586.rpm GNOME Extensions for LibreOffice
libreoffice-gnome-6.2.3.2-2.1.x86_64.rpm GNOME Extensions for LibreOffice
libreoffice-gtk2-6.2.3.2-2.1.i586.rpm Gtk2 interface for LibreOffice
Advertisement
Advertisement